Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.ea.score.adjust
Class ComplexityAdjustedScore

    java.lang.Object
      org.encog.ml.ea.score.adjust.ComplexityAdjustedScore

All Implemented Interfaces:
  AdjustScore

    public class ComplexityAdjustedScore

extends Object
implements AdjustScore

Adjust scores to penalize complexity.

Constructor Summary
`ComplexityAdjustedScore()`
`ComplexityAdjustedScore(int theComplexityPenaltyThreshold, int theComplexityPentaltyFullThreshold, double theComplexityPenalty, double theComplexityFullPenalty)` Construct a adjustor to penalize complexity.

Method Summary
`double` | `calculateAdjustment(Genome genome)` Calculate the score adjustment.
`double` | `getComplexityFullPenalty()`
`double` | `getComplexityPenalty()`
`int` | `getComplexityPenaltyThreshold()`
`int` | `getComplexityPentaltyFullThreshold()`
`void` | `setComplexityFullPenalty(double complexityFullPenalty)`
`void` | `setComplexityPenalty(double complexityPenalty)`
`void` | `setComplexityPenaltyThreshold(int complexityPenaltyThreshold)`
`void` | `setComplexityPentaltyFullThreshold(int complexityPentaltyFullThreshold)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComplexityAdjustedScore

    public ComplexityAdjustedScore(int theComplexityPenaltyThreshold,
                                   int theComplexityPentaltyFullThreshold,
                                   double theComplexityPenalty,
                                   double theComplexityFullPenalty)

  Construct a adjustor to penalize complexity.

  Parameters:
    `theComplexityPenaltyThreshold` - The complexity level at which a penalty begins to be applied.
    `theComplexityPentaltyFullThreshold` - The complexity level at which a full (100%) penalty is applied.
    `theComplexityPenalty` - The starting complexity penalty.
    `theComplexityFullPenalty` - The full complexity penalty.

### ComplexityAdjustedScore

    public ComplexityAdjustedScore()

Method Detail

### calculateAdjustment

    public double calculateAdjustment(Genome genome)

  Calculate the score adjustment.

  Specified by:
    `calculateAdjustment` in interface `AdjustScore`
  Parameters:
    `genome` - The genome.
  Returns:
    The adjusted score.

### getComplexityPenalty

    public double getComplexityPenalty()

  Returns:
    the complexityPenalty

### setComplexityPenalty

    public void setComplexityPenalty(double complexityPenalty)

  Parameters:
    `complexityPenalty` - the complexityPenalty to set

### getComplexityFullPenalty

    public double getComplexityFullPenalty()

  Returns:
    the complexityFullPenalty

### setComplexityFullPenalty

    public void setComplexityFullPenalty(double complexityFullPenalty)

  Parameters:
    `complexityFullPenalty` - the complexityFullPenalty to set

### getComplexityPenaltyThreshold

    public int getComplexityPenaltyThreshold()

  Returns:
    the complexityPenaltyThreshold

### setComplexityPenaltyThreshold

    public void setComplexityPenaltyThreshold(int complexityPenaltyThreshold)

  Parameters:
    `complexityPenaltyThreshold` - the complexityPenaltyThreshold to set

### getComplexityPentaltyFullThreshold

    public int getComplexityPentaltyFullThreshold()

  Returns:
    the complexityPentaltyFullThreshold

### setComplexityPentaltyFullThreshold

    public void setComplexityPentaltyFullThreshold(int complexityPentaltyFullThreshold)

  Parameters:
    `complexityPentaltyFullThreshold` - the complexityPentaltyFullThreshold to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.